<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginFileHandler/PluginLocalProfile/PluginLocalProfileScene.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dda/_plugin_local_profile_scene_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginLocalProfileScene.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/dda/_plugin_local_profile_scene_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">//Mission = &quot;ChernarusPlus&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">typedef CfgParamString DefCfgParamString</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"></span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">//InitTime = 220</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">typedef CfgParamInt DefCfgParamInt</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"></span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">//InitWeatherRain = 0.5</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">typedef CfgParamFloat DefCfgParamFloat</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"></span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">//InitWeatherFog = 0.3</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">typedef CfgParamFloat DefCfgParamFloat</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment"></span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">//SceneObjectsCount = 1</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">typedef CfgParamInt DefCfgParamInt</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">*/</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="keyword">class </span>PluginLocalProfileScene <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dc4/class_plugin_local_profile.html">PluginLocalProfile</a></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>{</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a14d102625b39f2740fafe012d2b73c51">   20</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> FILE_ROOT          = <span class="stringliteral">&quot;$saves:&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#ae266582f6dcbff92b4e023674b2b01d0">   21</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> FILE_ROOT_SCENES   = <span class="stringliteral">&quot;Scenes&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a1e3622844474af02736604793a52de87">   22</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_MISSION      = <span class="stringliteral">&quot;Mission&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#af94fae5477b37b2868780ac630c193d3">   23</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_TIME         = <span class="stringliteral">&quot;InitTime&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a19c118f81ff1e3a1bda2839c11cf4d0c">   24</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_RAIN         = <span class="stringliteral">&quot;InitWeatherRain&quot;</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a6cfc66072e08c7498e99e43161ec1558">   25</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_FOG          = <span class="stringliteral">&quot;InitWeatherFog&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#ab3df30aea29540c312374155832bd452">   26</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_OBJ_COUNT    = <span class="stringliteral">&quot;SceneObjectsCount&quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a0c7e3ba82f47da7de8304284837a8766">   27</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">string</span> PARAM_OBJ_NAME     = <span class="stringliteral">&quot;SceneObject&quot;</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a380b6ff79ee3405314ce71ad2473a0ef">   29</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/dc4/class_plugin_local_profile.html#a380b6ff79ee3405314ce71ad2473a0ef">m_FileSceneName</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// GetPathScenes</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">   34</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> FILE_ROOT+<span class="stringliteral">&quot;\\&quot;</span>+<a class="code hl_variable" href="../../dc/dc4/class_plugin_local_profile.html#ae266582f6dcbff92b4e023674b2b01d0">FILE_ROOT_SCENES</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">// GetFileName</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#abb3921b55b70051df3350338e71e9485">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#abb3921b55b70051df3350338e71e9485">GetFileName</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">string</span> file_name = <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a>()+<span class="stringliteral">&quot;\\&quot;</span>+<a class="code hl_variable" href="../../dc/dc4/class_plugin_local_profile.html#a380b6ff79ee3405314ce71ad2473a0ef">m_FileSceneName</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> file_name;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// OnInit</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a92e0960940fd8af018a3ae45b1058542">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a92e0960940fd8af018a3ae45b1058542">OnInit</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        super.OnInit();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="comment">// GetSceneList</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">//========================================  </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#a072476a2baa2a381dee19055a07a8aa5">   59</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a072476a2baa2a381dee19055a07a8aa5">GetSceneList</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d5/df6/group___file.html#gac8ac6334d3ec51a5537c4ea4f6c57e04">FileExist</a>( <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a>() ) )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_function" href="../../d5/df6/group___file.html#ga1cdbb09ffd8dd104b1c96efa7fc6916c">MakeDirectory</a>( <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a>() );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordtype">string</span>  file_name;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordtype">int</span>     file_attr;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">int</span>     flags;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> list = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordtype">string</span> path_find_pattern = <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">GetPathScenes</a>()+<span class="stringliteral">&quot;/*.scene&quot;</span>; </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_typedef" href="../../d5/df6/group___file.html#gaaad5e57bdb7ceaa9258923e8d5b3e1a8">FindFileHandle</a> file_handler = <a class="code hl_function" href="../../d5/df6/group___file.html#ga597c0e25e59fbf30bb1b6ba3033881c3">FindFile</a>(path_find_pattern, file_name, file_attr, flags);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordtype">bool</span> found = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">while</span> ( found )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {               </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            list.Insert(file_name);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            found = <a class="code hl_function" href="../../d5/df6/group___file.html#ga6b229504b64c75b270ad1d6b49d50306">FindNextFile</a>(file_handler, file_name, file_attr);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> list;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">//========================================</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="comment">// SceneSave</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">//========================================  </span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../dc/dc4/class_plugin_local_profile.html#acb67e6391275e4ebdb749f1e3636a589">   88</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dc4/class_plugin_local_profile.html#acb67e6391275e4ebdb749f1e3636a589">SceneSave</a>(<a class="code hl_class" href="../../dd/d60/class_scene_data.html">SceneData</a> scene)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        m_FileSceneName = scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#ad0bd1814f5469fb2ed79a3f61a8ba289">GetNameScene</a>()+<span class="stringliteral">&quot;.scene&quot;</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref SceneObject&gt;</a> objects = scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#a3f0c1a7f4fd4c5ea53d3e84af1fe0d16">GetSceneObjects</a>();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">// Save Mission Name</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        SetParameterString(PARAM_MISSION, scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#a2b53cd163d6d3d290cbff5b1aae5742e">GetNameMission</a>(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="comment">//Save Init Time</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        SetParameterFloat(PARAM_TIME, scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#a6594756a68e24c9d8e7871a353301caf">GetInitTime</a>(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="comment">//Save Init Weather Rain</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        SetParameterFloat(PARAM_RAIN, scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#a19d453d53f6716d2e53da4fb9533edf3">GetInitRain</a>(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="comment">//Save Init Weather Rain</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        SetParameterFloat(PARAM_FOG, scene.<a class="code hl_function" href="../../dd/d60/class_scene_data.html#ab9e44bfb3b47ba729a21b09998c19762">GetInitFog</a>(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="comment">// Save Count Of missions</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        SetParameterInt(PARAM_OBJ_COUNT, objects.Count(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; objects.Count(); ++i )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <a class="code hl_class" href="../../dc/df8/class_scene_object.html">SceneObject</a> obj = objects.Get(i);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <span class="keywordtype">string</span> param_name = PARAM_OBJ_NAME+<span class="stringliteral">&quot;_&quot;</span>+i.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">ToString</a>();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(param_name);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            SetSubParameterInArray (param_name, 0, <span class="stringliteral">&quot;ClassName&quot;</span>, obj.<a class="code hl_function" href="../../dc/df8/class_scene_object.html#a636d3e2a4940112f98b0b9103fd5c4f8">GetTypeName</a>(), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        SaveConfigToFile();</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>}</div>
<div class="ttc" id="aclass_plugin_local_profile_html"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html">PluginLocalProfile</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcd/_plugin_additional_info_8c_source.html#l00001">PluginAdditionalInfo.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_a072476a2baa2a381dee19055a07a8aa5"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#a072476a2baa2a381dee19055a07a8aa5">PluginLocalProfile::GetSceneList</a></div><div class="ttdeci">TStringArray GetSceneList()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00059">PluginLocalProfileScene.c:59</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_a380b6ff79ee3405314ce71ad2473a0ef"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#a380b6ff79ee3405314ce71ad2473a0ef">PluginLocalProfile::m_FileSceneName</a></div><div class="ttdeci">private string m_FileSceneName</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00029">PluginLocalProfileScene.c:29</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_a4463d18dbe9e3302ca49b445e7ab7c13"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#a4463d18dbe9e3302ca49b445e7ab7c13">PluginLocalProfile::GetPathScenes</a></div><div class="ttdeci">string GetPathScenes()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00034">PluginLocalProfileScene.c:34</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_a92e0960940fd8af018a3ae45b1058542"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#a92e0960940fd8af018a3ae45b1058542">PluginLocalProfile::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00051">PluginLocalProfileScene.c:51</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_abb3921b55b70051df3350338e71e9485"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#abb3921b55b70051df3350338e71e9485">PluginLocalProfile::GetFileName</a></div><div class="ttdeci">override string GetFileName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00042">PluginLocalProfileScene.c:42</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_acb67e6391275e4ebdb749f1e3636a589"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#acb67e6391275e4ebdb749f1e3636a589">PluginLocalProfile::SceneSave</a></div><div class="ttdeci">void SceneSave(SceneData scene)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00088">PluginLocalProfileScene.c:88</a></div></div>
<div class="ttc" id="aclass_plugin_local_profile_html_ae266582f6dcbff92b4e023674b2b01d0"><div class="ttname"><a href="../../dc/dc4/class_plugin_local_profile.html#ae266582f6dcbff92b4e023674b2b01d0">PluginLocalProfile::FILE_ROOT_SCENES</a></div><div class="ttdeci">private const string FILE_ROOT_SCENES</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dda/_plugin_local_profile_scene_8c_source.html#l00021">PluginLocalProfileScene.c:21</a></div></div>
<div class="ttc" id="aclass_scene_data_html"><div class="ttname"><a href="../../dd/d60/class_scene_data.html">SceneData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00001">SceneData.c:2</a></div></div>
<div class="ttc" id="aclass_scene_data_html_a19d453d53f6716d2e53da4fb9533edf3"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#a19d453d53f6716d2e53da4fb9533edf3">SceneData::GetInitRain</a></div><div class="ttdeci">float GetInitRain()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00225">SceneData.c:225</a></div></div>
<div class="ttc" id="aclass_scene_data_html_a2b53cd163d6d3d290cbff5b1aae5742e"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#a2b53cd163d6d3d290cbff5b1aae5742e">SceneData::GetNameMission</a></div><div class="ttdeci">string GetNameMission()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00090">SceneData.c:90</a></div></div>
<div class="ttc" id="aclass_scene_data_html_a3f0c1a7f4fd4c5ea53d3e84af1fe0d16"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#a3f0c1a7f4fd4c5ea53d3e84af1fe0d16">SceneData::GetSceneObjects</a></div><div class="ttdeci">array&lt; ref SceneObject &gt; GetSceneObjects()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00033">SceneData.c:33</a></div></div>
<div class="ttc" id="aclass_scene_data_html_a6594756a68e24c9d8e7871a353301caf"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#a6594756a68e24c9d8e7871a353301caf">SceneData::GetInitTime</a></div><div class="ttdeci">float GetInitTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00106">SceneData.c:106</a></div></div>
<div class="ttc" id="aclass_scene_data_html_ab9e44bfb3b47ba729a21b09998c19762"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#ab9e44bfb3b47ba729a21b09998c19762">SceneData::GetInitFog</a></div><div class="ttdeci">float GetInitFog()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00242">SceneData.c:242</a></div></div>
<div class="ttc" id="aclass_scene_data_html_ad0bd1814f5469fb2ed79a3f61a8ba289"><div class="ttname"><a href="../../dd/d60/class_scene_data.html#ad0bd1814f5469fb2ed79a3f61a8ba289">SceneData::GetNameScene</a></div><div class="ttdeci">string GetNameScene()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2c/_scene_data_8c_source.html#l00074">SceneData.c:74</a></div></div>
<div class="ttc" id="aclass_scene_object_html"><div class="ttname"><a href="../../dc/df8/class_scene_object.html">SceneObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d50/_scene_object_8c_source.html#l00001">SceneObject.c:2</a></div></div>
<div class="ttc" id="aclass_scene_object_html_a636d3e2a4940112f98b0b9103fd5c4f8"><div class="ttname"><a href="../../dc/df8/class_scene_object.html#a636d3e2a4940112f98b0b9103fd5c4f8">SceneObject::GetTypeName</a></div><div class="ttdeci">string GetTypeName()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d50/_scene_object_8c_source.html#l00376">SceneObject.c:376</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___enforce_html_ga28845e68ed8329715e29aded7542ca15"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></div><div class="ttdeci">array&lt; string &gt; TStringArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00685">EnScript.c:685</a></div></div>
<div class="ttc" id="agroup___file_html_ga1cdbb09ffd8dd104b1c96efa7fc6916c"><div class="ttname"><a href="../../d5/df6/group___file.html#ga1cdbb09ffd8dd104b1c96efa7fc6916c">MakeDirectory</a></div><div class="ttdeci">proto native bool MakeDirectory(string name)</div><div class="ttdoc">Makes a directory.</div></div>
<div class="ttc" id="agroup___file_html_ga597c0e25e59fbf30bb1b6ba3033881c3"><div class="ttname"><a href="../../d5/df6/group___file.html#ga597c0e25e59fbf30bb1b6ba3033881c3">FindFile</a></div><div class="ttdeci">enum FindFileFlags FindFile(string pattern, out string fileName, out FileAttr fileAttributes, FindFileFlags flags)</div></div>
<div class="ttc" id="agroup___file_html_ga6b229504b64c75b270ad1d6b49d50306"><div class="ttname"><a href="../../d5/df6/group___file.html#ga6b229504b64c75b270ad1d6b49d50306">FindNextFile</a></div><div class="ttdeci">proto bool FindNextFile(FindFileHandle handle, out string fileName, out FileAttr fileAttributes)</div></div>
<div class="ttc" id="agroup___file_html_gaaad5e57bdb7ceaa9258923e8d5b3e1a8"><div class="ttname"><a href="../../d5/df6/group___file.html#gaaad5e57bdb7ceaa9258923e8d5b3e1a8">FindFileHandle</a></div><div class="ttdeci">int[] FindFileHandle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00503">EnSystem.c:503</a></div></div>
<div class="ttc" id="agroup___file_html_gac8ac6334d3ec51a5537c4ea4f6c57e04"><div class="ttname"><a href="../../d5/df6/group___file.html#gac8ac6334d3ec51a5537c4ea4f6c57e04">FileExist</a></div><div class="ttdeci">proto bool FileExist(string name)</div><div class="ttdoc">Check existence of file.</div></div>
<div class="ttc" id="agroup___strings_html_ga2aa07a41b8fd7270be668acdf9486a87"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">string::ToString</a></div><div class="ttdeci">static proto string ToString(void var, bool type=false, bool name=false, bool quotes=true)</div><div class="ttdoc">Return string representation of variable.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../dir_02bff3d89c91b6446c38c80ebe6e9f33.html">PluginFileHandler</a></li><li class="navelem"><a class="el" href="../../dir_b52d2e9be03880ff6b1595c7c82ad5fb.html">PluginLocalProfile</a></li><li class="navelem"><a class="el" href="../../d7/dda/_plugin_local_profile_scene_8c.html">PluginLocalProfileScene.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
